
Summary: IBM Cell Broadband Engine Accelerated Library Framework (ALF) Library
Name: alf
Version: 4.0.0
Release: 1
License: BSD
Group: Cell Runtime Environment
Vendor: IBM Corporation
Distribution: IBM SDK for Multicore Acceleration
URL: http://www.ibm.com
Source: %{name}-%{version}.tar.bz2
Buildroot: %{_tmppath}/%{BUILDsubdir}

%define __strip ppu-strip
%define __objdump ppu-objdump

%define BUILDsubdir      %{name}-%{version}-%{release}

#  This is not ideal, but since we often build cross, it is required.
%define _use_internal_dependency_generator     0

%description
IBM Cell Broadband Engine Accelerated Library Framework (ALF) runtime libraries

%package -n %{name}-devel
Summary: IBM Cell Broadband Engine Accelerated Library Framework (ALF) development libraries
Group: Cell Development Libraries

Requires: %{name} = %{version}
Requires: alf-spu-devel = %{version}
Requires: libspe2-devel >= 2

%description -n %{name}-devel
IBM Cell Broadband Engine Accelerated Library Framework (ALF) development libraries

%prep
%setup -q -c -n %{BUILDsubdir}

%build
rm -rf ${RPM_BUILD_ROOT}
cd alf
# build and install the libraries
make clean all install BUILD_CELL=1 BUILD_HYBRID=0 BUILD_ACCEL=0 DESTDIR=${RPM_BUILD_ROOT} TARGET_CPU=%{_target_cpu}

%install
PATH=$PATH:/opt/cell/toolchain/bin

%post -n %{name} -p /sbin/ldconfig

%postun -n %{name} -p /sbin/ldconfig

%clean
rm -rf ${RPM_BUILD_ROOT}

# native runtime stuff
%files -n %{name}
%defattr (-,root,root)
%ifarch ppc
/usr/lib/*.so.*
%endif
%ifarch ppc64
/usr/lib64/*.so.*
%endif

# native devel stuff
%files -n %{name}-devel
%defattr (-,root,root)
%ifarch ppc
/usr/include/*
/usr/lib/*.a
/usr/lib/*.so
/usr/lib/alf/debug/*
%endif
%ifarch ppc64
/usr/include/*
/usr/lib64/*.a
/usr/lib64/*.so
/usr/lib64/alf/debug/*
%endif
